<?php
error_reporting(0);
require_once( "DBConfig.php" );
$dbCategory = new DBsetting();
$query = "SELECT * FROM category";
$categoryResult = $dbCategory->runQuery( $query );
?>
<!doctype html>
<html>
<head>
	<meta charset="utf-8">
	<title>How to Auto populate dropdown with jQuery AJAX</title>
	<link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
	<style>
		.error {
			color: #e40000;
			font-size: 13px;
		}
		body{
		background: #FF8008;  /* fallback for old browsers */
		background: -webkit-linear-gradient(to right, #FFC837, #FF8008);  /* Chrome 10-25, Safari 5.1-6 */
		background: linear-gradient(to right, #FFC837, #FF8008); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
		}
		.form-bg{
			background: #fff;
		}
	</style>
	<script src="https://code.jquery.com/jquery-2.1.1.min.js" type="text/javascript"></script>
	<script>
function categoryLst() {
        var n='';
        var m=document.getElementById('categoryList');
        for (i=0;i< m.length;i++) { 
            if(m[i].selected){
                n += m[i].value + ','; 
            }
        }         
        var n=n.slice(0,n.length -1);
        
	$.ajax({          
        	type: "GET",
        	url: "subcatg.php",
        	data:'catgID='+n,
        	success: function(data){
        		$("#subcatgList").html(data);
        	}
	});
}
	</script>
</head>

<body>
	<section class="testimonial py-2">
		<div class="container">
			<div class="row">
				<div class="col-md-9 py-3 shadow-sm">
					<img src="https://htmlcss3tutorials.com/wp-content/themes/htmlcss/images/logo.png" alt="HTML CSS3 Tutorials"/>
				</div>
				<div class="col-md-3 py-3 shadow-sm">
					<a href="https://htmlcss3tutorials.com/javascript-form-validation/" class="btn btn-primary">Back to Tutorial</a>
				</div>
			</div>
		</div>
	</section>
	<section class="testimonial py-3" id="testimonial">
		<div class="container">
			<div class="row">
				<div class="col-md-7 py-3 form-bg rounded shadow-sm">
					
					hhhhhhhhhhhhhhhhhhhhhhhhhhhh
				</div>
				<div class="col-md-4 ml-3">
					<div class="row ">
						<div class="col-md-12 py-3 form-bg rounded shadow-sm">
							<h4 class="pb-4 text-center">How to Auto populate dropdown with jQuery AJAX</h4>
							<form id="login" method="get" action="">
								<div class="form-row">
									<div class="form-group col-md-12">
										<select name="category" id="categoryList" class="form-control" onChange="categoryLst();">
											<option value="">Select Category</option>
											<?php
											foreach ($categoryResult as $category) {
												?>
											<option value="<?php echo $category["catgID"]; ?>"><?php echo $category["categoryName"]; ?></option>
											<?php
											}
											?>
										</select>
									</div>
								</div>
								<div class="form-row">
									<div class="form-group col-md-12">
										<select name="subCatg" id="subcatgList" class="form-control">
											<option value="">Select Sub Category</option>
										</select>
									</div>
								</div>

							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
</body>
</html>